DOMAINNAME(1) | General Commands Manual | DOMAINNAME(1)

# NAME

`domainname` — set or print YP domain of current host system

# SYNOPSIS

`domainname` | [name-of-domain]

# DESCRIPTION

`domainname` prints the YP domain name of the current host. The super-user can set the domain name by supplying an argument; this is usually done in the network initialization script /etc/rc.d/network, normally run at boot time.

# SEE ALSO

hostname(1), getdomainname(3), setdomainname(3)

# HISTORY

The `domainname` utility is derived from the `hostname` utility, which appeared in 4.2BSD. The `domainname` utility appeared in NetBSD 0.8.

May 31, 1993 | NetBSD 11.0